List Export Requests
GET/export/
List all export requests for the current user.
Request
Query Parameters
Number of results to return per page.
Which field to use when ordering the results.
A page number within the paginated result set.
A search term.
Responses
- 200
- 401
- application/json
- Schema
- Example (from schema)
Schema
Array [
csv- CSV]
Total number of results.
Total number of pages.
Number of the current page.
The first page is 1.
Defaults to 1 if no specific page is requested.
Number of results returned per page.
results
object[]
A unique Base58 value identifying this object.
A unique Base58 value identifying this object.
Possible values: [csv]
Export file format.
Possible values: <= 64 characters
API endpoint to export data from. Available: account_findings, target_findings, targets, scans, domains, scheduled_scans
Filter parameters to apply when querying the endpoint.
List of fields to include in the export.
If true, the export file will be sent to the user via email when ready. Defaults to false.
Date and time when the export was requested, in ISO 8601 UTC format.
Date and time when the export file was generated, in ISO 8601 UTC format.
Total number of rows exported.
Error message if export generation failed.
{
"count": 6,
"page_total": 1,
"page": 1,
"length": 10,
"results": [
{
"id": "string",
"user": "string",
"format": "csv",
"endpoint": "string",
"send_email": true,
"submitted_at": "2024-07-29T15:51:28.071Z",
"generated_at": "2024-07-29T15:51:28.071Z",
"row_count": 0,
"error": "string"
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Incorrect authentication credentials."
}